<template>
    <div>
        <div class="item-details" v-if="item">
            <h1>{{ item.name }}</h1>
            <h3>{{item.currencySymbol}}{{ item.price }}</h3>
            <AddToCartButton :item="item"></AddToCartButton>
            <div class="meta">
                <span>Category: {{item.category}}</span> |
                <span>Color: {{ item.color }}</span>
            </div>
            <img :src="item.image" alt="">
            <p>{{ item.description }}</p>
        </div>
        <div v-if="!item">Product not found :(</div>
    </div>
</template>

<script>
import AddToCartButton from "../components/AddToCartButton";

export default {
  name: "ItemDetails",
  components: {
    AddToCartButton
  },

  computed: {
    item() {
      return this.$store.getters["catalog/getItemById"](this.$route.params.id);
    }
  }
};
</script>


<style>
.meta {
  margin: 20px 0;
}
</style>
